> For the complete documentation index, see [llms.txt](https://docs.neuron-ai.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.neuron-ai.dev/v2/workflow.md).

# Workflow

- [Getting Started](https://docs.neuron-ai.dev/v2/workflow/getting-started.md): Guide, moderate, and control your multi-agent system with human-in-the-loop.
- [Single Step Workflow](https://docs.neuron-ai.dev/v2/workflow/single-step-workflow.md): How to create the first workflow with a single node
- [Multi Step Workflow](https://docs.neuron-ai.dev/v2/workflow/multi-step-workflow.md): Learn how to handle complex execution flow orchestrating the execution of multiple nodes
- [Loops & Branches](https://docs.neuron-ai.dev/v2/workflow/loops-and-branches.md)
- [Managing the State](https://docs.neuron-ai.dev/v2/workflow/managing-the-state.md): Learn how to pass data around the workflow
- [Human In The Loop](https://docs.neuron-ai.dev/v2/workflow/human-in-the-loop.md): The key breakthrough is that interruption isn't a bug – it's a feature.
- [Persistence](https://docs.neuron-ai.dev/v2/workflow/persistence.md): Persist the Workflow State across executions.
- [Streaming](https://docs.neuron-ai.dev/v2/workflow/streaming.md): Stream real -time updates during workflow execution
- [Examples](https://docs.neuron-ai.dev/v2/workflow/examples.md): Learn about the Workflow features through real code examples


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.neuron-ai.dev/v2/workflow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
